Learning PHP - Which version?

Code junkies hangout here

Moderators: ChrisThornett, LXF moderators

Learning PHP - Which version?

Postby dhaggett » Sun Nov 13, 2005 6:53 pm

Hi, all.

I've decided I want to learn a web programming language. I've been reading up a bit, and PHP looks like the primary candidate. If I concentrate on version 5, is there enough commonality and backward compatibility to permit me to customise a PHP4 application we use at work, or would I be better to learn PHP4 first?

Thanks in advance
dhaggett
 
Posts: 1
Joined: Mon Apr 11, 2005 6:27 pm

RE: Learning PHP - Which version?

Postby A-Wing » Sun Nov 13, 2005 7:01 pm

You should find that 99% of what you do will be backwards compatible, now that 5 has matured a bit I would start off with that. Most ISPs still use 4.3 / 4.4 series but that will change over the next year or 2.
Andrew Hutchings, Linux Jedi
http://www.a-wing.co.uk
User avatar
A-Wing
LXF regular
 
Posts: 460
Joined: Tue Jul 05, 2005 7:25 pm
Location: Wellingborough


Return to Programming

Who is online

Users browsing this forum: No registered users and 0 guests

cron